Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Interface XMLConstants

All Known Subinterfaces:
  ImageHandler, SVG12Constants, SVGConstants, SVGConverter, SVGFilterConverter, SVGSyntax

All Known Implementing Classes:
  AbstractElement, AbstractGraphicsNodeBridge, AbstractImageHandlerEncoder, AbstractSVGBridge, AbstractSVGConverter, AbstractSVGFilterConverter, AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, AbstractSVGLightingElementBridge, AbstractSVGLightingElementBridge.AbstractSVGLightElementBridge, AbstractSVGLightingElementBridge.SVGFeDistantLightElementBridge, AbstractSVGLightingElementBridge.SVGFePointLightElementBridge, AbstractSVGLightingElementBridge.SVGFeSpotLightElementBridge, AbstractSVGPreserveAspectRatio, AnimatableGenericSVGBridge, AnimatableSVGBridge, BatikFlowTextElementBridge, BatikFlowTextElementBridge.BatikFlowContentBridge, BatikHistogramNormalizationElement, BatikHistogramNormalizationElementBridge, BatikRegularPolygonElement, BatikRegularPolygonElementBridge, BatikStarElement, BatikStarElementBridge, BindableElement, BindableElementBridge, BridgeEventSupport, CachedImageHandlerBase64Encoder, CachedImageHandlerJPEGEncoder, CachedImageHandlerPNGEncoder, ColorSwitchBridge, ColorSwitchElement, CSSFontFace, CSSUtilities, CursorManager, DefaultCachedImageHandler, DefaultImageHandler, DefaultStyleHandler, DOMGroupManager, DOMTreeManager, DynamicGVTBuilder, ExtensionElement, FlowDivElement, FlowLineElement, FlowParaElement, FlowRegionBreakElement, FlowRegionElement, FlowSpanElement, FlowTextElement, FontFace, GraphicsExtensionElement, GVTBuilder, GVTFontFace, ImageCacher, ImageCacher.Embedded, ImageCacher.External, ImageHandlerBase64Encoder, ImageHandlerJPEGEncoder, ImageHandlerPNGEncoder, JSVGCanvas.CanvasUserAgent, MultiResGraphicsNode, PaintServer, PrefixableStylableExtensionElement, SimpleImageHandler, StylableExtensionElement, SVG12BridgeEventSupport, SVG12OMDocument, SVG12TextElementBridge, SVGAElementBridge, SVGAlphaComposite, SVGAltGlyphElementBridge, SVGAltGlyphHandler, SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGArc, SVGBasicStroke, SVGBufferedImageOp, SVGCircleElementBridge, SVGClip, SVGClipDescriptor, SVGClipPathElementBridge, SVGColor, SVGColorProfileElementBridge, SVGComposite, SVGCompositeDescriptor, SVGConvolveOp, SVGCSSStyler, SVGCustomBufferedImageOp, SVGCustomComposite, SVGCustomPaint, SVGDecoratedShapeElementBridge, SVGDescElementBridge, SVGDescriptiveElement, SVGDescriptiveElementBridge, SVGEllipse, SVGEllipseElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncAElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncBElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncGElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncRElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMergeElementBridge.SVGFeMergeNodeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGFlowRootElementBridge, SVGFlowRootElementBridge.FlowContentBridge, SVGFont, SVGFont, SVGFontDescriptor, SVGFontElementBridge, SVGFontFace, SVGFontFaceElementBridge, SVGFontUtilities, SVGGElementBridge, SVGGlyphElementBridge, SVGGraphicContext, SVGGraphicObjectConverter, SVGGraphics2D, SVGGraphicsElement, SVGGVTFont, SVGHintsDescriptor, SVGHKernElementBridge, SVGImageElementBridge, SVGKernElementBridge, SVGLine, SVGLinearGradient, SVGLinearGradientElementBridge, SVGLineElementBridge, SVGLookupOp, SVGMarkerElementBridge, SVGMaskElementBridge, SVGMissingGlyphElementBridge, SVGMultiImageElementBridge, SVGOMAElement, SVGOMAltGlyphDefElement, SVGOMAltGlyphElement, SVGOMAltGlyphItemElement, SVGOMAnimateColorElement, SVGOMAnimatedPreserveAspectRatio.AnimSVGPARValue, SVGOMAnimatedPreserveAspectRatio.BaseSVGPARValue, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMColorProfileElement, SVGOMComponentTransferFunctionElement, SVGOMCursorElement, SVGOMDefinitionSrcElement, SVGOMDefsElement, SVGOMDescElement, SVGOMDocument, SVGOMElement, SVGOMEllipseElement, SVGOMFEBlendElement, SVGOMFEColorMatrixElement, SVGOMFEComponentTransferElement, SVGOMFECompositeElement, SVGOMFEConvolveMatrixElement, SVGOMFEDiffuseLightingElement, SVGOMFEDisplacementMapElement, SVGOMFEDistantLightElement, SVGOMFEFloodElement, SVGOMFEFuncAElement, SVGOMFEFuncBElement, SVGOMFEFuncGElement, SVGOMFEFuncRElement, SVGOMFEGaussianBlurElement, SVGOMFEImageElement, SVGOMFEMergeElement, SVGOMFEMergeNodeElement, SVGOMFEMorphologyElement, SVGOMFEOffsetElement, SVGOMFEPointLightElement, SVGOMFESpecularLightingElement, SVGOMFESpotLightElement, SVGOMFETileElement, SVGOMFETurbulenceElement, SVGOMFilterElement, SVGOMFilterPrimitiveStandardAttributes, SVGOMFlowDivElement, SVGOMFlowLineElement, SVGOMFlowParaElement, SVGOMFlowRegionBreakElement, SVGOMFlowRegionElement, SVGOMFlowRegionExcludeElement, SVGOMFlowRootElement, SVGOMFlowSpanElement, SVGOMFontElement, SVGOMFontFaceElement, SVGOMFontFaceFormatElement, SVGOMFontFaceNameElement, SVGOMFontFaceSrcElement, SVGOMFontFaceUriElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMGlyphElement, SVGOMGlyphRefElement, SVGOMGradientElement, SVGOMHandlerElement, SVGOMHKernElement, SVGOMImageElement, SVGOMLinearGradientElement, SVGOMLineElement, SVGOMMarkerElement, SVGOMMaskElement, SVGOMMetadataElement, SVGOMMissingGlyphElement, SVGOMMPathElement, SVGOMMultiImageElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRadialGradientElement, SVGOMRectElement, SVGOMScriptElement, SVGOMSetElement, SVGOMSolidColorElement, SVGOMStopElement, SVGOMStyleElement, SVGOMSubImageElement, SVGOMSubImageRefElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMSymbolElement, SVGOMTextContentElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTitleElement, SVGOMToBeImplementedElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMURIReferenceElement, SVGOMUseElement, SVGOMViewElement, SVGOMVKernElement, SVGPaint, SVGPaintDescriptor, SVGPath, SVGPathElementBridge, SVGPatternElementBridge, SVGPointShapeElement, SVGPolygon, SVGPolygonElementBridge, SVGPolylineElementBridge, SVGRadialGradientElementBridge, SVGRectangle, SVGRectElementBridge, SVGRenderingHints, SVGRescaleOp, SVGSetElementBridge, SVGShape, SVGShapeElementBridge, SVGSolidColorElementBridge, SVGStrokeDescriptor, SVGStylableElement, SVGStylingAttributes, SVGSVGElementBridge, SVGSwitchElementBridge, SVGTextElementBridge, SVGTextElementBridge.AbstractTextChildBridgeUpdateHandler, SVGTextElementBridge.AbstractTextChildSVGContext, SVGTextElementBridge.AbstractTextChildTextContent, SVGTextElementBridge.TextPathBridge, SVGTextElementBridge.TRefBridge, SVGTextElementBridge.TspanBridge, SVGTextPathElementBridge, SVGTexturePaint, SVGTitleElementBridge, SVGTransform, SVGTransformDescriptor, SVGURIReferenceGraphicsElement, SVGURIReferenceTextPositioningElement, SVGUseElementBridge, SVGUtilities, SVGVKernElementBridge, SVGZoomAndPanSupport, SwingSVGPrettyPrint, ToSVGAbstractTranscoder, ViewBox, WMFTranscoder, XBLContentElementBridge, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement, XBLShadowTreeElementBridge, XLinkSupport, XMLSupport

    public interface XMLConstants

Contains common XML constants.

Field Summary
`static String` | `XLINK_HREF_ATTRIBUTE`
`static String` | `XLINK_HREF_QNAME`
`static String` | `XLINK_NAMESPACE_URI`
`static String` | `XLINK_PREFIX`
`static String` | `XML_BASE_ATTRIBUTE`
`static String` | `XML_BASE_QNAME`
`static String` | `XML_CDATA_END`
`static char` | `XML_CHAR_AMP`
`static char` | `XML_CHAR_APOS`
`static char` | `XML_CHAR_GT`
`static char` | `XML_CHAR_LT`
`static char` | `XML_CHAR_QUOT`
`static String` | `XML_CHAR_REF_PREFIX`
`static String` | `XML_CHAR_REF_SUFFIX`
`static String` | `XML_CLOSE_TAG_END`
`static String` | `XML_CLOSE_TAG_START`
`static String` | `XML_DEFAULT_VALUE`
`static String` | `XML_DOUBLE_DASH`
`static String` | `XML_DOUBLE_QUOTE`
`static String` | `XML_ENTITY_AMP`
`static String` | `XML_ENTITY_APOS`
`static String` | `XML_ENTITY_GT`
`static String` | `XML_ENTITY_LT`
`static String` | `XML_ENTITY_QUOT`
`static String` | `XML_EQUAL_QUOT`
`static String` | `XML_EQUAL_SIGN`
`static String` | `XML_EVENTS_EVENT_ATTRIBUTE`
`static String` | `XML_EVENTS_NAMESPACE_URI`
`static String` | `XML_ID_ATTRIBUTE`
`static String` | `XML_ID_QNAME`
`static String` | `XML_LANG_ATTRIBUTE`
`static String` | `XML_LANG_QNAME`
`static String` | `XML_NAMESPACE_URI`
`static String` | `XML_OPEN_TAG_END_CHILDREN`
`static String` | `XML_OPEN_TAG_END_NO_CHILDREN`
`static String` | `XML_OPEN_TAG_START`
`static String` | `XML_PREFIX`
`static String` | `XML_PRESERVE_VALUE`
`static String` | `XML_PROCESSING_INSTRUCTION_END`
`static String` | `XML_SPACE`
`static String` | `XML_SPACE_ATTRIBUTE`
`static String` | `XML_SPACE_QNAME`
`static String` | `XML_TAB`
`static String` | `XML_VERSION_10`
`static String` | `XML_VERSION_11`
`static String` | `XMLNS_NAMESPACE_URI`
`static String` | `XMLNS_PREFIX`

Field Detail

### XML_NAMESPACE_URI

    static final String XML_NAMESPACE_URI

See Also:
  Constant Field Values

### XMLNS_NAMESPACE_URI

    static final String XMLNS_NAMESPACE_URI

See Also:
  Constant Field Values

### XLINK_NAMESPACE_URI

    static final String XLINK_NAMESPACE_URI

See Also:
  Constant Field Values

### XML_EVENTS_NAMESPACE_URI

    static final String XML_EVENTS_NAMESPACE_URI

See Also:
  Constant Field Values

### XML_PREFIX

    static final String XML_PREFIX

See Also:
  Constant Field Values

### XMLNS_PREFIX

    static final String XMLNS_PREFIX

See Also:
  Constant Field Values

### XLINK_PREFIX

    static final String XLINK_PREFIX

See Also:
  Constant Field Values

### XML_BASE_ATTRIBUTE

    static final String XML_BASE_ATTRIBUTE

See Also:
  Constant Field Values

### XML_ID_ATTRIBUTE

    static final String XML_ID_ATTRIBUTE

See Also:
  Constant Field Values

### XML_LANG_ATTRIBUTE

    static final String XML_LANG_ATTRIBUTE

See Also:
  Constant Field Values

### XML_SPACE_ATTRIBUTE

    static final String XML_SPACE_ATTRIBUTE

See Also:
  Constant Field Values

### XML_BASE_QNAME

    static final String XML_BASE_QNAME

See Also:
  Constant Field Values

### XML_ID_QNAME

    static final String XML_ID_QNAME

See Also:
  Constant Field Values

### XML_LANG_QNAME

    static final String XML_LANG_QNAME

See Also:
  Constant Field Values

### XML_SPACE_QNAME

    static final String XML_SPACE_QNAME

See Also:
  Constant Field Values

### XML_DEFAULT_VALUE

    static final String XML_DEFAULT_VALUE

See Also:
  Constant Field Values

### XML_PRESERVE_VALUE

    static final String XML_PRESERVE_VALUE

See Also:
  Constant Field Values

### XML_EVENTS_EVENT_ATTRIBUTE

    static final String XML_EVENTS_EVENT_ATTRIBUTE

See Also:
  Constant Field Values

### XLINK_HREF_ATTRIBUTE

    static final String XLINK_HREF_ATTRIBUTE

See Also:
  Constant Field Values

### XLINK_HREF_QNAME

    static final String XLINK_HREF_QNAME

See Also:
  Constant Field Values

### XML_TAB

    static final String XML_TAB

See Also:
  Constant Field Values

### XML_OPEN_TAG_END_CHILDREN

    static final String XML_OPEN_TAG_END_CHILDREN

See Also:
  Constant Field Values

### XML_OPEN_TAG_END_NO_CHILDREN

    static final String XML_OPEN_TAG_END_NO_CHILDREN

See Also:
  Constant Field Values

### XML_OPEN_TAG_START

    static final String XML_OPEN_TAG_START

See Also:
  Constant Field Values

### XML_CLOSE_TAG_START

    static final String XML_CLOSE_TAG_START

See Also:
  Constant Field Values

### XML_CLOSE_TAG_END

    static final String XML_CLOSE_TAG_END

See Also:
  Constant Field Values

### XML_SPACE

    static final String XML_SPACE

See Also:
  Constant Field Values

### XML_EQUAL_SIGN

    static final String XML_EQUAL_SIGN

See Also:
  Constant Field Values

### XML_EQUAL_QUOT

    static final String XML_EQUAL_QUOT

See Also:
  Constant Field Values

### XML_DOUBLE_QUOTE

    static final String XML_DOUBLE_QUOTE

See Also:
  Constant Field Values

### XML_CHAR_QUOT

    static final char XML_CHAR_QUOT

See Also:
  Constant Field Values

### XML_CHAR_LT

    static final char XML_CHAR_LT

See Also:
  Constant Field Values

### XML_CHAR_GT

    static final char XML_CHAR_GT

See Also:
  Constant Field Values

### XML_CHAR_APOS

    static final char XML_CHAR_APOS

See Also:
  Constant Field Values

### XML_CHAR_AMP

    static final char XML_CHAR_AMP

See Also:
  Constant Field Values

### XML_ENTITY_QUOT

    static final String XML_ENTITY_QUOT

See Also:
  Constant Field Values

### XML_ENTITY_LT

    static final String XML_ENTITY_LT

See Also:
  Constant Field Values

### XML_ENTITY_GT

    static final String XML_ENTITY_GT

See Also:
  Constant Field Values

### XML_ENTITY_APOS

    static final String XML_ENTITY_APOS

See Also:
  Constant Field Values

### XML_ENTITY_AMP

    static final String XML_ENTITY_AMP

See Also:
  Constant Field Values

### XML_CHAR_REF_PREFIX

    static final String XML_CHAR_REF_PREFIX

See Also:
  Constant Field Values

### XML_CHAR_REF_SUFFIX

    static final String XML_CHAR_REF_SUFFIX

See Also:
  Constant Field Values

### XML_CDATA_END

    static final String XML_CDATA_END

See Also:
  Constant Field Values

### XML_DOUBLE_DASH

    static final String XML_DOUBLE_DASH

See Also:
  Constant Field Values

### XML_PROCESSING_INSTRUCTION_END

    static final String XML_PROCESSING_INSTRUCTION_END

See Also:
  Constant Field Values

### XML_VERSION_10

    static final String XML_VERSION_10

See Also:
  Constant Field Values

### XML_VERSION_11

    static final String XML_VERSION_11

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.